import React, { memo } from 'react';
import { View, StyleSheet } from 'react-native';
import PrevButton from './prev-button';
import NextButton from './next-button';
import Selectors from './selectors';
import { isEqual } from 'lodash';
import { ThemedView } from '../../ui';
const Header = ({
  buttonsPosition,
  styles = {},
  classNames = {}
}) => {
  return /*#__PURE__*/React.createElement(ThemedView, {
    style: [defaultStyles.headerContainer, styles === null || styles === void 0 ? void 0 : styles.header],
    className: classNames.header,
    accessibilityRole: "header"
  }, buttonsPosition === 'left' ? /*#__PURE__*/React.createElement(View, {
    style: defaultStyles.container
  }, /*#__PURE__*/React.createElement(View, {
    style: defaultStyles.row
  }, /*#__PURE__*/React.createElement(PrevButton, {
    style: styles.button_prev,
    className: classNames.button_prev
  }), /*#__PURE__*/React.createElement(NextButton, {
    style: styles.button_next,
    className: classNames.button_next
  })), /*#__PURE__*/React.createElement(Selectors, {
    position: "left"
  })) : buttonsPosition === 'right' ? /*#__PURE__*/React.createElement(View, {
    style: defaultStyles.container
  }, /*#__PURE__*/React.createElement(Selectors, {
    position: "right"
  }), /*#__PURE__*/React.createElement(View, {
    style: defaultStyles.row
  }, /*#__PURE__*/React.createElement(PrevButton, {
    style: styles.button_prev,
    className: classNames.button_prev
  }), /*#__PURE__*/React.createElement(NextButton, {
    style: styles.button_next,
    className: classNames.button_next
  }))) : /*#__PURE__*/React.createElement(View, {
    style: defaultStyles.container
  }, /*#__PURE__*/React.createElement(PrevButton, {
    style: styles.button_prev,
    className: classNames.button_prev
  }), /*#__PURE__*/React.createElement(Selectors, {
    position: "around"
  }), /*#__PURE__*/React.createElement(NextButton, {
    style: styles.button_next,
    className: classNames.button_next
  })));
};
const defaultStyles = StyleSheet.create({
  headerContainer: {
    paddingVertical: 3
  },
  container: {
    padding: 5,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between'
  },
  row: {
    flexDirection: 'row'
  }
});
const customComparator = (prev, next) => {
  const areEqual = prev.PrevIcon === next.PrevIcon && prev.NextIcon === next.NextIcon && prev.buttonsPosition === next.buttonsPosition && isEqual(prev.styles, next.styles) && isEqual(prev.classNames, next.classNames);
  return areEqual;
};
export default /*#__PURE__*/memo(Header, customComparator);
//# sourceMappingURL=index.js.map